#! /usr/bin/env python
# -*- coding: utf-8 -*-
#    This file is part of ubuntu-uploader.
#
#    ubuntu-uploader is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    ubuntu-uploader is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with ubuntu-uploader.  If not, see <http://www.gnu.org/licenses/>.
import sys, os
import pygtk
pygtk.require('2.0')
import gtk, gtk.glade, gobject
import resource, iconHandler
from resource import extVideo, extAudio, mb_it
import datetime
from math import *
import pygst
pygst.require("0.10")
import gst
import gui

from os import path as ospath

import guiScreencastConfig, guiScreencastRun

class view(gui.view):
    """ gtk/glade object to provide the view """

    config = {}

    def __init__(self, config={}, wTree=None, callback=None):
        gui.view.__init__(self, config, wTree, callback)

        self.guiConfig = guiScreencastConfig.view(
                            wTree = self.wTree,
                            callback = self.configCallback)




    def configCallback(self, data=None):
        """ a callback for the config window, wants the decided configuration
        or None if the user pressed cancel or whatever
        """
        if not data:
            self.callback()
            return

        self.config = data

        # now that we have a working config (hopefully) we can proceed onto the
        # run part of our code

        self.guiRun = guiScreencastRun.view(wTree = self.wTree,
                                            callback = self.runCallback,
                                            config = self.config)

    def runCallback(self, data=None):
        """ a callback for the crun code, wants any data to be thrown back i guess
        """
        self.returnData = data
        self.doCallback(senddata = True)






