#!/usr/bin/env python
# -*- coding: utf-8 -*-
#       guiUploader.py
#
#       Copyright 2008 Gordon Allott <gordallott@gmail.com>
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 3 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.
#
#
import sys, os
import pygtk
pygtk.require('2.0')
import gtk, gtk.glade, gobject
import resource, iconHandler, guiUploadConfig, guiUploaderRun
from resource import extVideo, extAudio, mb_it
import datetime
from math import *
import pygst
pygst.require("0.10")
import gst

import re
from os import path as ospath
from resource import slugify
import gsocket, httplibnb
import time
import webbrowser
import gui


class view(gui.view):

    config = {
        'title': '',
        'description': '',
        'filename': '',
        'username': '',
        'password': '',
        'icon': None,
    }

    configView = None
    runView = None
    returnData = None


    def callbackRun(self, data=None):
        self.returnData = data
        self.doCallback(senddata = True)


    def callbackUpload(self, data=None):
        """ callback for uploader """
        self.config = data

        if not data:
            #config was canceled, go back
            self.doCallback(senddata=False)
            return


        #normalize data
        old = self.config
        self.config = {}
        for key, value in old.iteritems():
            if type(key) == type(u''):
                key = key.encode('utf-8')
            if type(value) == type (u''):
                value = value.encode('utf-8')

            self.config[key] = value

        self.runView = guiUploaderRun.view(config = self.config, wTree=self.wTree, callback=self.callbackUpload)




    def __init__(self, config = {}, wTree=None, callback=None):

        gui.view.__init__(self, config, wTree, callback)

        self.config = config
        self.uploadView = guiUploadConfig.view(config, wTree=self.wTree, callback=self.callbackUpload)


